
import km
IsAuthor=0 #是否授权初始化为0   ---授权条件可以自己定义，例如密钥，机器码，时间等。这里只做简单演示
def author( key):
    global IsAuthor
    if key=='123456': #设置脚本密钥为123456
        IsAuthor=1    #密钥正确允许允许run函数
        print('授权码正确')
    else:
        print('授权码错误！请联系脚本作者：xxx@xx.com')

def run():
    if IsAuthor==0:#密钥不正确
        print('对不起您还未授权，请调用author输入注册码')
        return
    while 1:
        print('脚本已授权正在运行中...')
        km.delay(1000)




